<form [formGroup]="actionStepFormGroup">
  <div class="full-width action-step-main-grid m-t-10 m-b-10" #grid>
    <div class="header-color header-action" #header>
      <span>{{
        'sqtm-core.entity.test-step.action.singular' | translate
      }}</span>
      <div
        class="action-resize-handler"
        sqtmCoreResizable
        (resize)="handleResize($event)"
      ></div>
    </div>
    <div class="header-color header-result">
      <span>{{
        'sqtm-core.entity.test-step.expected-result.label' | translate
      }}</span>
    </div>
    <div class="dummy-buttons-area"></div>
    <div class="action ck-action-field">
      <sqtm-core-rich-text-field
        [formGroup]="actionStepFormGroup"
        [fieldName]="'action'"
        [initialFocus]="true"
        #actionField
      >
      </sqtm-core-rich-text-field>
    </div>
    <div class="result" style="min-width: 400px">
      <sqtm-core-rich-text-field
        [formGroup]="actionStepFormGroup"
        [fieldName]="'expectedResult'"
      >
      </sqtm-core-rich-text-field>
    </div>
  </div>
  <div class="full-width">
    <sqtm-core-custom-field-form
      [customFields]="customFields"
      [parentFormGroup]="actionStepFormGroup"
    ></sqtm-core-custom-field-form>
  </div>
  <div class="full-width flex-row buttons m-t-10 m-b-10">
    <button
      nz-button
      nzType="primary"
      class="m-r-10"
      (click)="addAnotherStep()"
      [attr.data-test-button-id]="'addAnotherStep'"
    >
      {{ 'sqtm-core.generic.label.add-another.masculine' | translate }}
    </button>
    <button
      nz-button
      nzType="primary"
      class="m-r-10"
      (click)="addStep()"
      [attr.data-test-button-id]="'addStep'"
    >
      {{ 'sqtm-core.generic.label.add' | translate }}
    </button>
    @if (stepCount > 0) {
      <button
        nz-button
        nzType="default"
        class="m-r-10"
        (click)="cancel()"
        [attr.data-test-button-id]="'cancel'"
      >
        {{ 'sqtm-core.generic.label.cancel' | translate }}
      </button>
    }
  </div>
</form>
